Skip to main content

multiselect

Description

Optional. Enables selecting multiple rows using Shift or Ctrl/Meta with the button click

Usage

multiselect?: boolean;

Parameters

If the multiselect value is set to true, rows multiselection is enabled; false is the default value, which means that it's possible to select only a single row by default.

Example

<script setup>
import { Grid } from "@svar-ui/vue-grid";
import { getData } from "./common/data";

const { columns, data } = getData();

</script>

<template>
<Grid
:data="data"
:columns="columns"
:multiselect="true" />
</template>

Related articles:

Skip to main content

multiselect

Description

Optional. Enables selecting multiple rows using Shift or Ctrl/Meta with the button click

Usage

multiselect?: boolean;

Parameters

If the multiselect value is set to true, rows multiselection is enabled; false is the default value, which means that it's possible to select only a single row by default.

Example

import { Grid } from "@svar-ui/react-grid";
import { getData } from "./common/data";

const { columns, data } = getData();

export const App = () => {
return (
<Grid
data={data}
columns={columns}
multiselect={true}
/>
);
};

Related articles: